import datetime

import pytest
from django.contrib.auth.models import User

from baby.app.models.regle import Regle, Cycle


@pytest.mark.django_db
class Test:


    def test_cycle(self):
        today = datetime.date.today()
        user = User.objects.create_user("user")
        times = [
            -29 - 26 -26,
            -26 -26,
            -26
        ]
        for i, x in enumerate(times, start=1):
            Regle.objects.create(user=user, date=today+datetime.timedelta(days=x))

        cycle = Cycle.from_day(user, today)
        print(i)



    def test_cycle2(self):
        today = datetime.date.today()
        user = User.objects.create_user("user")
        ref = datetime.date(2023, 9, 2)

        times = [
            -28 - 25 -26,
            -26 -25,
            -25,
            0
        ]
        for i, x in enumerate(times, start=1):
            Regle.objects.create(user=user, date=ref+datetime.timedelta(days=x))

        #cycle = Cycle.from_date_range(user, ref+datetime.timedelta(days=30), ref+datetime.timedelta(days=390))
        cycle = Cycle.from_month(user, 11, 2023)
        print(cycle)
        print(i)



